Essentials Chat

Discussion in 'Spigot Plugin Help' started by UrWastingUrTime, Nov 11, 2017.

  1. Hello, I am using essentials X 2.0.1 but I cannot find an essentials-chat version compatible with essentials x. I am using essentials x because when I use the essentials build from jenkins https://hub.spigotmc.org/jenkins/job/spigot-essentials/ things such as /enchant do not work... When I try to add the essentials chat from ^^ build, this pops up in console.

    [12:28:30] [Server thread/INFO]: [Essentials] Enabling Essentials v2.0.1-b488
    [​IMG]
    [12:28:30] [Server thread/WARN]: [Essentials] §4Version mismatch! Please update EssentialsChat to the same version.
    [12:28:30] [Server thread/INFO]: [Essentials] Using 1.8.3+ BlockStateMeta provider as mob spawner provider.
    [12:28:30] [Server thread/INFO]: [Essentials] Using legacy item data provider as spawn egg provider.
    [12:28:30] [Server thread/INFO]: [Essentials] Using legacy potion meta provider as potion meta provider.
    [12:28:30] [Server thread/INFO]: Using locale en_GB
    [12:28:30] [Server thread/INFO]: [Essentials] Starting Metrics. Opt-out using the global bStats config.
    [12:28:30] [Server thread/INFO]: [Vault][Economy] Essentials Economy hooked.
    [12:28:30] [Server thread/INFO]: [Essentials] Using Vault based permissions (GroupManager)
    [12:28:30] [Server thread/INFO]: [SimpleRename] Enabling SimpleRename v10.0
    [12:28:30] [Server thread/INFO]: SimpleRename enabled!
    [12:28:31] [Server thread/INFO]: [KitAdder] Enabling KitAdder v2.6
    [12:28:31] [Server thread/INFO]: [KitAdder] KitAdder plugin has been enabled!
    [12:28:31] [Server thread/INFO]: [EssentialsChat] Enabling EssentialsChat vTeamCity
    [​IMG]
    [12:28:31] [Server thread/WARN]: §4Version mismatch! Please update all Essentials jars to the same version.
     
    • Agree Agree x 1
    • Optimistic Optimistic x 1
  2. [​IMG]
    [12:41:00] [Server thread/WARN]: [Essentials] §4Version mismatch! Please update EssentialsChat to the same version.
    [12:41:00] [Server thread/INFO]: [Essentials] Using 1.8.3+ BlockStateMeta provider as mob spawner provider.
    [12:41:00] [Server thread/INFO]: [Essentials] Using legacy item data provider as spawn egg provider.
    [12:41:00] [Server thread/INFO]: [Essentials] Using legacy potion meta provider as potion meta provider.
    [12:41:01] [Server thread/INFO]: Using locale en_GB
    [12:41:01] [Server thread/INFO]: [Essentials] Starting Metrics. Opt-out using the global bStats config.
    [12:41:01] [Server thread/INFO]: [Vault][Economy] Essentials Economy hooked.
    [12:41:01] [Server thread/INFO]: [Essentials] Using Vault based permissions (GroupManager)
    [12:41:01] [Server thread/INFO]: [SimpleRename] Enabling SimpleRename v10.0
    [12:41:01] [Server thread/INFO]: SimpleRename enabled!
    [12:41:01] [Server thread/INFO]: [KitAdder] Enabling KitAdder v2.6
    [12:41:01] [Server thread/INFO]: [KitAdder] KitAdder plugin has been enabled!
    [12:41:01] [Server thread/INFO]: [CrazyAuctions] Enabling CrazyAuctions v1.2.4
    [12:41:01] [Server thread/INFO]: [EssentialsChat] Enabling EssentialsChat vTeamCity
    [​IMG]
    [12:41:01] [Server thread/WARN]: §4Version mismatch! Please update all Essentials jars to the same version. same messege
     
  3. His Jenkins server is down at the moment what build # you need I may have it. Here is 2.0.1 EssentialsX Chat
     

    Attached Files:

  4. You will just have to wait for the server to come up or build your own essentials jar and chat....Here is essentials that I use with that chat Jar...Nvrmind file size too big...sry.
     
  5. PermissionEX
    EasyPermissions (I think thats what its called)
    LuckyPerms
    Etc theres a lot
     
  6. alright thanks I'll try it
     
  7. I don't see any jar file? Do I just put the whole folder in the plugins folder?
     
  8. no you would have to build it...
     

Share This Page